﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace grid_eddit_with_cascading_dd1.Models
{
    public class CustomerRepository
    {
        public static CustomerRepository Repository = new CustomerRepository();

        public IEnumerable<Customer> Customers
        {
            get
            {
                IEnumerable<Customer> result = (IEnumerable<Customer>)HttpContext.Current.Session["Customers"];

                if (result == null)
                {
                    HttpContext.Current.Session["Customers"] = result = GenerateCustomers();
                }

                return result;
            }
        }

        private IEnumerable<Customer> GenerateCustomers()
        {
            var list = new List<Customer>();
            list.Add(new Customer
            {
                CustomerId = 1,
                CustomerName = "Tony"
            });
            list.Add(new Customer
            {
                CustomerId = 2,
                CustomerName = "Terry"
            });
            list.Add(new Customer
            {
                CustomerId = 3,
                CustomerName = "Todd"
            });
            list.Add(new Customer
            {
                CustomerId = 4,
                CustomerName = "Timothy"
            });
            list.Add(new Customer
            {
                CustomerId = 5,
                CustomerName = "Tristan"
            });
            list.Add(new Customer
            {
                CustomerId = 6,
                CustomerName = "Thomas"
            });

            return list;
        }

    }
}